curl --request GET \
--url https://api.stigg.io/api/v1/customers/{id}/entities/entitlements \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.stigg.io/api/v1/customers/{id}/entities/entitlements"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.stigg.io/api/v1/customers/{id}/entities/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/customers/{id}/entities/entitlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stigg.io/api/v1/customers/{id}/entities/entitlements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stigg.io/api/v1/customers/{id}/entities/entitlements")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stigg.io/api/v1/customers/{id}/entities/entitlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "6f6b9c39-3a14-4a5e-9c6c-2a4f8d8d2f3f",
"entityId": "workspace-001",
"featureId": "feature-compute-minutes",
"scopeEntityIds": [],
"parentId": null,
"usageLimit": 1000,
"cadence": "P1M",
"createdAt": "2026-05-18T10:00:00.000Z",
"updatedAt": "2026-05-18T10:00:00.000Z"
},
{
"id": "8d3a9b71-c41b-4d22-a17b-93e6f6d3b201",
"entityId": "workspace-002",
"currencyId": "cred-type-tokens",
"scopeEntityIds": [
"user-1"
],
"parentId": "workspace-001",
"usageLimit": 2000,
"cadence": "P1M",
"createdAt": "2026-05-18T10:00:00.000Z",
"updatedAt": "2026-05-18T10:00:00.000Z"
}
],
"pagination": {
"next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
"prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
}
}{
"message": "<string>",
"code": "BadUserInput",
"reason": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Get a list of entity entitlements
Returns a cursor-paginated list of entity entitlements for the given customer. An entity entitlement ties an entity to a feature or currency with a usage limit and reset cadence.
curl --request GET \
--url https://api.stigg.io/api/v1/customers/{id}/entities/entitlements \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.stigg.io/api/v1/customers/{id}/entities/entitlements"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.stigg.io/api/v1/customers/{id}/entities/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/customers/{id}/entities/entitlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stigg.io/api/v1/customers/{id}/entities/entitlements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stigg.io/api/v1/customers/{id}/entities/entitlements")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stigg.io/api/v1/customers/{id}/entities/entitlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "6f6b9c39-3a14-4a5e-9c6c-2a4f8d8d2f3f",
"entityId": "workspace-001",
"featureId": "feature-compute-minutes",
"scopeEntityIds": [],
"parentId": null,
"usageLimit": 1000,
"cadence": "P1M",
"createdAt": "2026-05-18T10:00:00.000Z",
"updatedAt": "2026-05-18T10:00:00.000Z"
},
{
"id": "8d3a9b71-c41b-4d22-a17b-93e6f6d3b201",
"entityId": "workspace-002",
"currencyId": "cred-type-tokens",
"scopeEntityIds": [
"user-1"
],
"parentId": "workspace-001",
"usageLimit": 2000,
"cadence": "P1M",
"createdAt": "2026-05-18T10:00:00.000Z",
"updatedAt": "2026-05-18T10:00:00.000Z"
}
],
"pagination": {
"next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
"prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
}
}{
"message": "<string>",
"code": "BadUserInput",
"reason": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Authorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The customer identifier (owner) the entity entitlements belong to
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.@-]*$Query Parameters
Return items that come after this cursor
Return items that come before this cursor
Maximum number of items to return
1 <= x <= 100Filter entity entitlements to a specific entity ID
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Filter entity entitlements to a specific feature, by its ID. Mutually exclusive with currencyId.
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Filter entity entitlements to a specific currency, by its ID. Mutually exclusive with featureId.
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$